| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Typedefs | Functions | Variables
zutil.h File Reference
`#include "zlib.h"`

Go to the source code of this file.

## Macros
#define | ZLIB_INTERNAL
#define | local static
#define | ERR_MSG(err) z_errmsg[Z_NEED_DICT-(err)]
#define | ERR_RETURN(strm, err) return (strm->msg = (char*)ERR_MSG(err), (err))
#define | DEF_WBITS MAX_WBITS
#define | DEF_MEM_LEVEL 8
#define | STORED_BLOCK 0
#define | STATIC_TREES 1
#define | DYN_TREES 2
#define | MIN_MATCH 3
#define | MAX_MATCH 258
#define | PRESET_DICT 0x20 /* preset dictionary flag in zlib header */
#define | OS_CODE 0x03 /* assume Unix */
#define | F_OPEN(name, mode) fopen((name), (mode))
#define | Assert(cond, msg)
#define | Trace(x)
#define | Tracev(x)
#define | Tracevv(x)
#define | Tracec(c, x)
#define | Tracecv(c, x)
#define | ZALLOC(strm, items, size) (*((strm)->zalloc))((strm)->opaque, (items), (size))
#define | ZFREE(strm, addr) (*((strm)->zfree))((strm)->opaque, (voidpf)(addr))
#define | TRY_FREE(s, p) {if (p) ZFREE(s, p);}

## Typedefs
typedef unsigned char | uch
typedef uch FAR | uchf
typedef unsigned short | ush
typedef ush FAR | ushf
typedef unsigned long | ulg

## Functions
ZEXTERN uLong ZEXPORT adler32_combine64 | OF ((uLong, uLong, z_off_t))
void ZLIB_INTERNAL zmemcpy | OF ((Bytef *dest, const Bytef *source, uInt len))
int ZLIB_INTERNAL zmemcmp | OF ((const Bytef *s1, const Bytef *s2, uInt len))
void ZLIB_INTERNAL zmemzero | OF ((Bytef *dest, uInt len))
voidpf ZLIB_INTERNAL zcalloc | OF ((voidpf opaque, unsigned items, unsigned size))
void ZLIB_INTERNAL zcfree | OF ((voidpf opaque, voidpf ptr))

## Variables
const char *const | z_errmsg [10]

## Macro Definition Documentation

#define Assert | ( |  | cond,
|  |  | msg
| ) |  |

Definition at line 256 of file zutil.h.

#define DEF_MEM_LEVEL 8

Definition at line 60 of file zutil.h.

#define DEF_WBITS MAX_WBITS

Definition at line 55 of file zutil.h.

#define DYN_TREES 2

Definition at line 68 of file zutil.h.

#define ERR_MSG | ( |  | err | ) | z_errmsg[Z_NEED_DICT-(err)]

Definition at line 46 of file zutil.h.

#define ERR_RETURN | ( |  | strm,
|  |  | err
| ) |  | return (strm->msg = (char*)ERR_MSG(err), (err))

Definition at line 48 of file zutil.h.

#define F_OPEN | ( |  | name,
|  |  | mode
| ) |  | fopen((name), (mode))

Definition at line 175 of file zutil.h.

#define local static

Definition at line 33 of file zutil.h.

#define MAX_MATCH 258

Definition at line 72 of file zutil.h.

#define MIN_MATCH 3

Definition at line 71 of file zutil.h.

#define OS_CODE 0x03 /* assume Unix */

Definition at line 171 of file zutil.h.

#define PRESET_DICT 0x20 /* preset dictionary flag in zlib header */

Definition at line 75 of file zutil.h.

#define STATIC_TREES 1

Definition at line 67 of file zutil.h.

#define STORED_BLOCK 0

Definition at line 66 of file zutil.h.

#define Trace | ( |  | x | ) |

Definition at line 257 of file zutil.h.

#define Tracec | ( |  | c,
|  |  | x
| ) |  |

Definition at line 260 of file zutil.h.

#define Tracecv | ( |  | c,
|  |  | x
| ) |  |

Definition at line 261 of file zutil.h.

#define Tracev | ( |  | x | ) |

Definition at line 258 of file zutil.h.

#define Tracevv | ( |  | x | ) |

Definition at line 259 of file zutil.h.

#define TRY_FREE | ( |  | s,
|  |  | p
| ) |  | {if (p) ZFREE(s, p);}

Definition at line 272 of file zutil.h.

#define ZALLOC | ( |  | strm,
|  |  | items,
|  |  | size
| ) |  | (*((strm)->zalloc))((strm)->opaque, (items), (size))

Definition at line 269 of file zutil.h.

#define ZFREE | ( |  | strm,
|  |  | addr
| ) |  | (*((strm)->zfree))((strm)->opaque, (voidpf)(addr))

Definition at line 271 of file zutil.h.

#define ZLIB_INTERNAL

Definition at line 19 of file zutil.h.

## Typedef Documentation

typedef unsigned char uch

Definition at line 37 of file zutil.h.

typedef uch FAR uchf

Definition at line 38 of file zutil.h.

typedef unsigned long ulg

Definition at line 41 of file zutil.h.

typedef unsigned short ush

Definition at line 39 of file zutil.h.

typedef ush FAR ushf

Definition at line 40 of file zutil.h.

## Function Documentation

ZEXTERN uLong ZEXPORT adler32_combine64 OF | ( | (uLong, uLong, z_off_t) |  | ) |

void ZLIB_INTERNAL zmemcpy OF | ( | (Bytef *dest, const Bytef *source, uInt len) |  | ) |

int ZLIB_INTERNAL zmemcmp OF | ( | (const Bytef *s1, const Bytef *s2, uInt len) |  | ) |

void ZLIB_INTERNAL zmemzero OF | ( | (Bytef *dest, uInt len) |  | ) |

voidpf ZLIB_INTERNAL zcalloc OF | ( | (voidpf opaque, unsigned items, unsigned size) |  | ) |

void ZLIB_INTERNAL zcfree OF | ( | (voidpf opaque, voidpf ptr) |  | ) |

## Variable Documentation

const char* const z_errmsg[10]

Definition at line 14 of file zutil.c.